Bug 203840 - Threshold and sigchld patch
Threshold and sigchld patch
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: swatch (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 18:32 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 15:51:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from gentoo (3.37 KB, patch)
2006-09-05 17:51 EDT, Orion Poplawski
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2006-08-23 18:32:04 EDT
Description of problem:

Time for a upgrade?  Just starting to look at swatch myself...
Comment 1 Jose Pedro Oliveira 2006-09-05 17:47:08 EDT
Adding Gavin to the CC list.
Comment 2 Jose Pedro Oliveira 2006-09-05 17:51:00 EDT
I have just updated the development branch to version 3.2.1.  Unfortunately the
building system appears to be broken at the moment.  I will build asap.
Comment 3 Orion Poplawski 2006-09-05 17:51:17 EDT
Created attachment 135610 [details]
patch from gentoo

On the gentoo wiki there is a patch to add a threshold and proper sigchld
handling at: http://gentoo-wiki.com/HOWTO_Protect_SSHD_with_Swatch.  This is an
updated version for 3.2.1.  I haven't submitted upstream, as somewhat like the
gentoo wiki indicates, I'm not sure this doesn't break other stuff.
Comment 4 Gavin Henry 2006-09-06 03:11:25 EDT
See what tests are t/* and maybe add one to check this change.

Gavin.
Comment 5 Jose Pedro Oliveira 2006-09-16 16:29:47 EDT
I have built 3.2.1-1 for FC-5 (already available in the repos) and FC-4 (to be
available after the next push).
Comment 6 Orion Poplawski 2007-10-17 15:51:05 EDT
Upstream: http://sourceforge.net/support/tracker.php?aid=1562324

Though upstream seems pretty dead.

Note You need to log in before you can comment on or make changes to this bug.